/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2013-10-01 09:36:54Z
 *****************************************************************************/

#include "rsavp.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

RsRepCap rsavp_RsRepCapTable[] =
    {
/*
        {
        repCapName      ... Repeated capability name, e.g. "Channel"
        identifiers     ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
        cmdValues       ... Command values (comma separated values), e.g. "1,2,3"
        },
*/

       {
        "Hardware",
        "hw1,hw2,hw3,hw4,hw5,hw6,hw7,hw8",
        "1,2,3,4,5,6,7,8"
       },
         NULL
    };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsRangeTableEntry rsavp_rngAngleUnitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DEG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RAD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GRAD",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngAngleUnit =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngAngleUnitEntries
};

static RsRangeTableEntry rsavp_rngCapacityUnitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"F",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngCapacityUnit =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngCapacityUnitEntries
};

static RsRangeTableEntry rsavp_rngUnitChargeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitCharge =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitChargeEntries
};

static RsRangeTableEntry rsavp_rngUnitConductanceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ASIE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FSIE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSIE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NSIE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USIE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KSIE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MSIE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GSIE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TSIE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitConductance =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitConductanceEntries
};

static RsRangeTableEntry rsavp_rngUnitCurrentEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBPA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBNA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBUA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBMA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBA",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitCurrent =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitCurrentEntries
};

static RsRangeTableEntry rsavp_rngUnitEnergyEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"J",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXJ",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitEnergy =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitEnergyEntries
};

static RsRangeTableEntry rsavp_rngUnitFrequencyEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AHZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FHZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PHZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NHZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UHZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIHZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KHZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MHZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GHZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"THZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEHZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXHZ",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitFrequency =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitFrequencyEntries
};

static RsRangeTableEntry rsavp_rngUnitLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitLength =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitLengthEntries
};

static RsRangeTableEntry rsavp_rngUnitPowerEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBPW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBNW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBUW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBMW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBW",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitPower =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitPowerEntries
};

static RsRangeTableEntry rsavp_rngUnitResistanceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AOHM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FOHM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"POHM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOHM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UOHM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIOH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OHM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KOHM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MOHM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GOHM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TOHM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEOH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXOH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitResistance =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitResistanceEntries
};

static RsRangeTableEntry rsavp_rngUnitTemperatureEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CEL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FAR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KEL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitTemperature =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitTemperatureEntries
};

static RsRangeTableEntry rsavp_rngUnitTimeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"US",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SEC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HOUR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitTime =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitTimeEntries
};

static RsRangeTableEntry rsavp_rngUnitVoltageEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBPV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBNV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBUV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBMV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngUnitVoltage =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngUnitVoltageEntries
};

static RsRangeTableEntry rsavp_rngDisplayLanguageEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"JA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ZH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngDisplayLanguage =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngDisplayLanguageEntries
};

static RsRangeTableEntry rsavp_rngDisplayFrontSizeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DEF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LRG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngDisplayFrontSize =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngDisplayFrontSizeEntries
};

static RsRangeTableEntry rsavp_rngDisplayColorSetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DEF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OLD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ASIA",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngDisplayColorSet =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngDisplayColorSetEntries
};

static RsRangeTableEntry rsavp_rngReferenceOscillatorSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngReferenceOscillatorSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngReferenceOscillatorSourceEntries
};

static RsRangeTableEntry rsavp_rngReferenceOscillatorInternalAdjustmentValueEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavp_rngReferenceOscillatorInternalAdjustmentValue =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavp_rngReferenceOscillatorInternalAdjustmentValueEntries
};


/*****************************************************************************
*- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsAttrProperties  g_RSAVP_RS_ATTR_RANGE_CHECK =
{
  /* constant           = */RS_ATTR_RANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Range Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */VI_TRUE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_QUERY_INSTRUMENT_STATUS =
{
  /* constant           = */RS_ATTR_QUERY_INSTRUMENT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"Query Instrument Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CACHE =
{
  /* constant           = */RS_ATTR_CACHE,
#if defined (_DEBUG)
  /* debug name         = */"Cache",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SIMULATE =
{
  /* constant           = */RS_ATTR_SIMULATE,
#if defined (_DEBUG)
  /* debug name         = */"Simulate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_RECORD_COERCIONS =
{
  /* constant           = */RS_ATTR_RECORD_COERCIONS,
#if defined (_DEBUG)
  /* debug name         = */"Record Value Coercions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_INTERCHANGE_CHECK =
{
  /* constant           = */RS_ATTR_INTERCHANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Interchangeability Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPY =
{
  /* constant           = */RS_ATTR_SPY,
#if defined (_DEBUG)
  /* debug name         = */"Spy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_USE_SPECIFIC_SIMULATION =
{
  /* constant           = */RS_ATTR_USE_SPECIFIC_SIMULATION,
#if defined (_DEBUG)
  /* debug name         = */"Use Specific Simulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_COERCEABLE_ONLY_BY_INSTR | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CLASS_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CLASS_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CLASS_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CLASS_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Locator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
{
  /* constant           = */RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
#if defined (_DEBUG)
  /* debug name         = */"Supported Instrument Models",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_GROUP_CAPABILITIES =
{
  /* constant           = */RS_ATTR_GROUP_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Class Group Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_FUNCTION_CAPABILITIES =
{
  /* constant           = */RS_ATTR_FUNCTION_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Function Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CHANNEL_COUNT =
{
  /* constant           = */RS_ATTR_CHANNEL_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Channel Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_DRIVER_SETUP =
{
  /* constant           = */RS_ATTR_DRIVER_SETUP,
#if defined (_DEBUG)
  /* debug name         = */"Driver Setup",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_INSTRUMENT_MANUFACTURER =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MANUFACTURER,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Manufacturer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_INSTRUMENT_MODEL =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MODEL,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Model",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
{
  /* constant           = */RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Firmware Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_OPTIONS_LIST =
{
  /* constant           = */RS_ATTR_OPTIONS_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Options List",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
{
  /* constant           = */RS_ATTR_IO_RESOURCE_DESCRIPTOR,
#if defined (_DEBUG)
  /* debug name         = */"Resource Descriptor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_LOGICAL_NAME =
{
  /* constant           = */RS_ATTR_LOGICAL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Logical Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_PRIMARY_ERROR =
{
  /* constant           = */RS_ATTR_PRIMARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Primary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SECONDARY_ERROR =
{
  /* constant           = */RS_ATTR_SECONDARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Secondary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_ERROR_ELABORATION =
{
  /* constant           = */RS_ATTR_ERROR_ELABORATION,
#if defined (_DEBUG)
  /* debug name         = */"Error Elaboration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_VISA_RM_SESSION =
{
  /* constant           = */RS_ATTR_VISA_RM_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"VISA Resource Manager Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_IO_SESSION =
{
  /* constant           = */RS_ATTR_IO_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument IO Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_IO_SESSION_TYPE =
{
  /* constant           = */RS_ATTR_IO_SESSION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IO Session Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_ENGINE_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_ENGINE_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_ENGINE_REVISION =
{
  /* constant           = */RS_ATTR_ENGINE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_OPC_CALLBACK =
{
  /* constant           = */RS_ATTR_OPC_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_CHECK_STATUS_CALLBACK =
{
  /* constant           = */RS_ATTR_CHECK_STATUS_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Check Status Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_RS_ATTR_OPC_TIMEOUT =
{
  /* constant           = */RS_ATTR_OPC_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_FILE_CHANGE_DRIVE =
{
  /* constant           = */RSAVP_ATTR_FILE_CHANGE_DRIVE,
#if defined (_DEBUG)
  /* debug name         = */"File Change Drive",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:MSIS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)rsavp_quotedString_ReadCallback,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsavp_quotedString_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_FILE_CHANGE_DIRECTORY =
{
  /* constant           = */RSAVP_ATTR_FILE_CHANGE_DIRECTORY,
#if defined (_DEBUG)
  /* debug name         = */"File Change Directory",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:CDIR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)rsavp_quotedString_ReadCallback,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsavp_quotedString_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_DRIVES =
{
  /* constant           = */RSAVP_ATTR_DRIVES,
#if defined (_DEBUG)
  /* debug name         = */"Drives",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:DRIV?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_FILE_CREATE_DIRECTORY =
{
  /* constant           = */RSAVP_ATTR_FILE_CREATE_DIRECTORY,
#if defined (_DEBUG)
  /* debug name         = */"File Create Directory",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:MDIR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)rsavp_quotedString_ReadCallback,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsavp_quotedString_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_FILE_REMOVE_DIRECTORY =
{
  /* constant           = */RSAVP_ATTR_FILE_REMOVE_DIRECTORY,
#if defined (_DEBUG)
  /* debug name         = */"File Remove Directory",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:RDIR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)rsavp_quotedString_ReadCallback,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsavp_quotedString_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_FILE_REMOVE =
{
  /* constant           = */RSAVP_ATTR_FILE_REMOVE,
#if defined (_DEBUG)
  /* debug name         = */"File Remove",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)rsavp_quotedString_ReadCallback,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsavp_quotedString_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_ANGLE =
{
  /* constant           = */RSAVP_ATTR_UNIT_ANGLE,
#if defined (_DEBUG)
  /* debug name         = */"Unit Angle",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngAngleUnit,
  /* command            = */"UNIT:ANGL",
  /* integerDefault     = */RSAVP_VAL_ANGLE_DEG,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_CAPACITY =
{
  /* constant           = */RSAVP_ATTR_UNIT_CAPACITY,
#if defined (_DEBUG)
  /* debug name         = */"Unit Capacity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngCapacityUnit,
  /* command            = */"UNIT:CAP",
  /* integerDefault     = */RSAVP_VAL_CAPACITY_FARAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_CHARGE =
{
  /* constant           = */RSAVP_ATTR_UNIT_CHARGE,
#if defined (_DEBUG)
  /* debug name         = */"Unit Charge",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitCharge,
  /* command            = */"UNIT:CHAR",
  /* integerDefault     = */RSAVP_VAL_CHARGE_COULOMB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_CONDUCTANCE =
{
  /* constant           = */RSAVP_ATTR_UNIT_CONDUCTANCE,
#if defined (_DEBUG)
  /* debug name         = */"Unit Conductance",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitConductance,
  /* command            = */"UNIT:COND",
  /* integerDefault     = */RSAVP_VAL_CONDUCTANCE_SIEMENS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_CURRENT =
{
  /* constant           = */RSAVP_ATTR_UNIT_CURRENT,
#if defined (_DEBUG)
  /* debug name         = */"Unit Current",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitCurrent,
  /* command            = */"UNIT:CURR",
  /* integerDefault     = */RSAVP_VAL_CURRENT_AMPERE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_ENERGY =
{
  /* constant           = */RSAVP_ATTR_UNIT_ENERGY,
#if defined (_DEBUG)
  /* debug name         = */"Unit Energy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitEnergy,
  /* command            = */"UNIT:ENER",
  /* integerDefault     = */RSAVP_VAL_ENERGY_JOULE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_FREQUENCY =
{
  /* constant           = */RSAVP_ATTR_UNIT_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Unit Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitFrequency,
  /* command            = */"UNIT:FREQ",
  /* integerDefault     = */RSAVP_VAL_FREQ_HERTZ,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_LENGTH =
{
  /* constant           = */RSAVP_ATTR_UNIT_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Unit Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitLength,
  /* command            = */"UNIT:LENG",
  /* integerDefault     = */RSAVP_VAL_LENGTH_METER,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_POWER =
{
  /* constant           = */RSAVP_ATTR_UNIT_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Unit Power",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitPower,
  /* command            = */"UNIT:POW",
  /* integerDefault     = */RSAVP_VAL_POWER_WATT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_RESISTANCE =
{
  /* constant           = */RSAVP_ATTR_UNIT_RESISTANCE,
#if defined (_DEBUG)
  /* debug name         = */"Unit Resistance",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitResistance,
  /* command            = */"UNIT:RES",
  /* integerDefault     = */RSAVP_VAL_RESISTANCE_OHM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_TEMPERATURE =
{
  /* constant           = */RSAVP_ATTR_UNIT_TEMPERATURE,
#if defined (_DEBUG)
  /* debug name         = */"Unit Temperature",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitTemperature,
  /* command            = */"UNIT:TEMP",
  /* integerDefault     = */RSAVP_VAL_TEMPERATURE_CELSIUS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_TIME =
{
  /* constant           = */RSAVP_ATTR_UNIT_TIME,
#if defined (_DEBUG)
  /* debug name         = */"Unit Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitTime,
  /* command            = */"UNIT:TIME",
  /* integerDefault     = */RSAVP_VAL_TIME_SECOND,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_UNIT_VOLTAGE =
{
  /* constant           = */RSAVP_ATTR_UNIT_VOLTAGE,
#if defined (_DEBUG)
  /* debug name         = */"Unit Voltage",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngUnitVoltage,
  /* command            = */"UNIT:VOLT",
  /* integerDefault     = */RSAVP_VAL_VOLTAGE_VOLT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_DISPLAY_LANGUAGE =
{
  /* constant           = */RSAVP_ATTR_DISPLAY_LANGUAGE,
#if defined (_DEBUG)
  /* debug name         = */"Display Language",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngDisplayLanguage,
  /* command            = */"SYST:DISP:LANG",
  /* integerDefault     = */RSAVP_VAL_LANG_EN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_DISPLAY_FRONT_SIZE =
{
  /* constant           = */RSAVP_ATTR_DISPLAY_FRONT_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"Display Front Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngDisplayFrontSize,
  /* command            = */"SYST:DISP:FONT",
  /* integerDefault     = */RSAVP_VAL_FONT_SIZE_SMALL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_DISPLAY_COLOR_SET =
{
  /* constant           = */RSAVP_ATTR_DISPLAY_COLOR_SET,
#if defined (_DEBUG)
  /* debug name         = */"Display Color Set",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngDisplayColorSet,
  /* command            = */"SYST:DISP:COL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_KEY_LOCK =
{
  /* constant           = */RSAVP_ATTR_KEY_LOCK,
#if defined (_DEBUG)
  /* debug name         = */"Key Lock",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:KLOC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_MARKER_SOURCE =
{
  /* constant           = */RSAVP_ATTR_MARKER_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Marker Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */":SOUR{Hardware}:MARK:SOUR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"L1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVP_ATTR_SELF_TEST_QUERY =
{
  /* constant           = */RSAVP_ATTR_SELF_TEST_QUERY,
#if defined (_DEBUG)
  /* debug name         = */"Self Test Query",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"*TST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_SYST_VERSION =
{
  /* constant           = */RSAVP_ATTR_SYST_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"System Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:VERS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_SYSTEM_RESET_ALL =
{
  /* constant           = */RSAVP_ATTR_SYSTEM_RESET_ALL,
#if defined (_DEBUG)
  /* debug name         = */"System Reset All",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:RES:ALL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_SYSTEM_RESET_BASE =
{
  /* constant           = */RSAVP_ATTR_SYSTEM_RESET_BASE,
#if defined (_DEBUG)
  /* debug name         = */"System Reset Base",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:RES:BASE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_SYSTEM_PRESET_ALL =
{
  /* constant           = */RSAVP_ATTR_SYSTEM_PRESET_ALL,
#if defined (_DEBUG)
  /* debug name         = */"System Preset All",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES:ALL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_SYSTEM_PRESET_BASE =
{
  /* constant           = */RSAVP_ATTR_SYSTEM_PRESET_BASE,
#if defined (_DEBUG)
  /* debug name         = */"System Preset Base",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES:BASE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_REFERENCE_OSCILLATOR_OUTPUT =
{
  /* constant           = */RSAVP_ATTR_REFERENCE_OSCILLATOR_OUTPUT,
#if defined (_DEBUG)
  /* debug name         = */"Reference Oscillator Output",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP:ROSC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_REFERENCE_OSCILLATOR_SOURCE =
{
  /* constant           = */RSAVP_ATTR_REFERENCE_OSCILLATOR_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Reference Oscillator Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngReferenceOscillatorSource,
  /* command            = */"SENS:ROSC:SOUR",
  /* integerDefault     = */RSAVP_VAL_INTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_REFERENCE_OSCILLATOR_INTERNAL_ADJUSTMENT_STATE =
{
  /* constant           = */RSAVP_ATTR_REFERENCE_OSCILLATOR_INTERNAL_ADJUSTMENT_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Reference Oscillator Internal Adjustment State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */":SOUR{Hardware}:ROSC:ADJ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVP_ATTR_REFERENCE_OSCILLATOR_INTERNAL_ADJUSTMENT_VALUE =
{
  /* constant           = */RSAVP_ATTR_REFERENCE_OSCILLATOR_INTERNAL_ADJUSTMENT_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"Reference Oscillator Internal Adjustment Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngReferenceOscillatorInternalAdjustmentValue,
  /* command            = */":SOUR{Hardware}:ROSC:ADJ:VAL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVP_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY =
{
  /* constant           = */RSAVP_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Reference Oscillator External Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */":SOUR{Hardware}:ROSC:EXT:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVP_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_BANDWIDTH =
{
  /* constant           = */RSAVP_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"Reference Oscillator External Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */":SOUR{Hardware}:ROSC:EXT:SBAN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVP_ATTR_LOCAL_OSCILLATOR_OUTPUT_STATE =
{
  /* constant           = */RSAVP_ATTR_LOCAL_OSCILLATOR_OUTPUT_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Local Oscillator Output State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */":SOUR{Hardware}:FREQ:LOSC:OUTP:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVP_ATTR_LOCAL_OSCILLATOR_MODE =
{
  /* constant           = */RSAVP_ATTR_LOCAL_OSCILLATOR_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Local Oscillator Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavp_rngReferenceOscillatorSource,
  /* command            = */":SOUR{Hardware}:FREQ:LOSC:MODE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVP_ATTR_PRESET_STATUS_REGISTERS =
{
  /* constant           = */RSAVP_ATTR_PRESET_STATUS_REGISTERS,
#if defined (_DEBUG)
  /* debug name         = */"Preset Status Registers",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_QUESTIONABLE_REGISTER_ENABLE =
{
  /* constant           = */RSAVP_ATTR_QUESTIONABLE_REGISTER_ENABLE,
#if defined (_DEBUG)
  /* debug name         = */"Questionable Register Enable",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:QUES:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_QUESTIONABLE_REGISTER_NTR =
{
  /* constant           = */RSAVP_ATTR_QUESTIONABLE_REGISTER_NTR,
#if defined (_DEBUG)
  /* debug name         = */"Questionable Register NTR",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:QUES:NTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_QUESTIONABLE_REGISTER_PTR =
{
  /* constant           = */RSAVP_ATTR_QUESTIONABLE_REGISTER_PTR,
#if defined (_DEBUG)
  /* debug name         = */"Questionable Register PTR",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:QUES:PTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_QUESTIONABLE_REGISTER_CONDITION =
{
  /* constant           = */RSAVP_ATTR_QUESTIONABLE_REGISTER_CONDITION,
#if defined (_DEBUG)
  /* debug name         = */"Questionable Register Condition",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:QUES:COND?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_QUESTIONABLE_REGISTER_EVENT =
{
  /* constant           = */RSAVP_ATTR_QUESTIONABLE_REGISTER_EVENT,
#if defined (_DEBUG)
  /* debug name         = */"Questionable Register Event",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:QUES?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_OPERATION_REGISTER_ENABLE =
{
  /* constant           = */RSAVP_ATTR_OPERATION_REGISTER_ENABLE,
#if defined (_DEBUG)
  /* debug name         = */"Operation Register Enable",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:OPER:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_OPERATION_REGISTER_NTR =
{
  /* constant           = */RSAVP_ATTR_OPERATION_REGISTER_NTR,
#if defined (_DEBUG)
  /* debug name         = */"Operation Register NTR",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:OPER:NTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_OPERATION_REGISTER_PTR =
{
  /* constant           = */RSAVP_ATTR_OPERATION_REGISTER_PTR,
#if defined (_DEBUG)
  /* debug name         = */"Operation Register PTR",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:OPER:PTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_OPERATION_REGISTER_CONDITION =
{
  /* constant           = */RSAVP_ATTR_OPERATION_REGISTER_CONDITION,
#if defined (_DEBUG)
  /* debug name         = */"Operation Register Condition",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:OPER:COND?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_OPERATION_REGISTER_EVENT =
{
  /* constant           = */RSAVP_ATTR_OPERATION_REGISTER_EVENT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Register Event",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:OPER?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_ID_QUERY_RESPONSE =
{
  /* constant           = */RSAVP_ATTR_ID_QUERY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"ID Query Response",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_SYSTEM_ERROR =
{
  /* constant           = */RSAVP_ATTR_SYSTEM_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"System Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVP_ATTR_DISPLAY_UPDATE =
{
  /* constant           = */RSAVP_ATTR_DISPLAY_UPDATE,
#if defined (_DEBUG)
  /* debug name         = */"Display Update",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:DISP:UPD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

RsAttrPropertiesPtr rsavp_RsAttrPropertiesList[] =
{
&g_RSAVP_RS_ATTR_RANGE_CHECK,
&g_RSAVP_RS_ATTR_QUERY_INSTRUMENT_STATUS,
&g_RSAVP_RS_ATTR_CACHE,
&g_RSAVP_RS_ATTR_SIMULATE,
&g_RSAVP_RS_ATTR_RECORD_COERCIONS,
&g_RSAVP_RS_ATTR_INTERCHANGE_CHECK,
&g_RSAVP_RS_ATTR_SPY,
&g_RSAVP_RS_ATTR_USE_SPECIFIC_SIMULATION,
&g_RSAVP_RS_ATTR_CLASS_DRIVER_DESCRIPTION,
&g_RSAVP_RS_ATTR_CLASS_DRIVER_PREFIX,
&g_RSAVP_RS_ATTR_CLASS_DRIVER_VENDOR,
&g_RSAVP_RS_ATTR_CLASS_DRIVER_REVISION,
&g_RSAVP_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSAVP_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
&g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
&g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
&g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
&g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_REVISION,
&g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSAVP_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
&g_RSAVP_RS_ATTR_GROUP_CAPABILITIES,
&g_RSAVP_RS_ATTR_FUNCTION_CAPABILITIES,
&g_RSAVP_RS_ATTR_CHANNEL_COUNT,
&g_RSAVP_RS_ATTR_DRIVER_SETUP,
&g_RSAVP_RS_ATTR_INSTRUMENT_MANUFACTURER,
&g_RSAVP_RS_ATTR_INSTRUMENT_MODEL,
&g_RSAVP_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
&g_RSAVP_RS_ATTR_OPTIONS_LIST,
&g_RSAVP_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
&g_RSAVP_RS_ATTR_LOGICAL_NAME,
&g_RSAVP_RS_ATTR_PRIMARY_ERROR,
&g_RSAVP_RS_ATTR_SECONDARY_ERROR,
&g_RSAVP_RS_ATTR_ERROR_ELABORATION,
&g_RSAVP_RS_ATTR_VISA_RM_SESSION,
&g_RSAVP_RS_ATTR_IO_SESSION,
&g_RSAVP_RS_ATTR_IO_SESSION_TYPE,
&g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
&g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
&g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
&g_RSAVP_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
&g_RSAVP_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
&g_RSAVP_RS_ATTR_ENGINE_MAJOR_VERSION,
&g_RSAVP_RS_ATTR_ENGINE_MINOR_VERSION,
&g_RSAVP_RS_ATTR_ENGINE_REVISION,
&g_RSAVP_RS_ATTR_OPC_CALLBACK,
&g_RSAVP_RS_ATTR_CHECK_STATUS_CALLBACK,
&g_RSAVP_RS_ATTR_OPC_TIMEOUT,
&g_RSAVP_ATTR_FILE_CHANGE_DRIVE,
&g_RSAVP_ATTR_FILE_CHANGE_DIRECTORY,
&g_RSAVP_ATTR_DRIVES,
&g_RSAVP_ATTR_FILE_CREATE_DIRECTORY,
&g_RSAVP_ATTR_FILE_REMOVE_DIRECTORY,
&g_RSAVP_ATTR_FILE_REMOVE,
&g_RSAVP_ATTR_UNIT_ANGLE,
&g_RSAVP_ATTR_UNIT_CAPACITY,
&g_RSAVP_ATTR_UNIT_CHARGE,
&g_RSAVP_ATTR_UNIT_CONDUCTANCE,
&g_RSAVP_ATTR_UNIT_CURRENT,
&g_RSAVP_ATTR_UNIT_ENERGY,
&g_RSAVP_ATTR_UNIT_FREQUENCY,
&g_RSAVP_ATTR_UNIT_LENGTH,
&g_RSAVP_ATTR_UNIT_POWER,
&g_RSAVP_ATTR_UNIT_RESISTANCE,
&g_RSAVP_ATTR_UNIT_TEMPERATURE,
&g_RSAVP_ATTR_UNIT_TIME,
&g_RSAVP_ATTR_UNIT_VOLTAGE,
&g_RSAVP_ATTR_DISPLAY_LANGUAGE,
&g_RSAVP_ATTR_DISPLAY_FRONT_SIZE,
&g_RSAVP_ATTR_DISPLAY_COLOR_SET,
&g_RSAVP_ATTR_KEY_LOCK,
&g_RSAVP_ATTR_MARKER_SOURCE,
&g_RSAVP_ATTR_SELF_TEST_QUERY,
&g_RSAVP_ATTR_SYST_VERSION,
&g_RSAVP_ATTR_SYSTEM_RESET_ALL,
&g_RSAVP_ATTR_SYSTEM_RESET_BASE,
&g_RSAVP_ATTR_SYSTEM_PRESET_ALL,
&g_RSAVP_ATTR_SYSTEM_PRESET_BASE,
&g_RSAVP_ATTR_REFERENCE_OSCILLATOR_OUTPUT,
&g_RSAVP_ATTR_REFERENCE_OSCILLATOR_SOURCE,
&g_RSAVP_ATTR_REFERENCE_OSCILLATOR_INTERNAL_ADJUSTMENT_STATE,
&g_RSAVP_ATTR_REFERENCE_OSCILLATOR_INTERNAL_ADJUSTMENT_VALUE,
&g_RSAVP_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY,
&g_RSAVP_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_BANDWIDTH,
&g_RSAVP_ATTR_LOCAL_OSCILLATOR_OUTPUT_STATE,
&g_RSAVP_ATTR_LOCAL_OSCILLATOR_MODE,
&g_RSAVP_ATTR_PRESET_STATUS_REGISTERS,
&g_RSAVP_ATTR_QUESTIONABLE_REGISTER_ENABLE,
&g_RSAVP_ATTR_QUESTIONABLE_REGISTER_NTR,
&g_RSAVP_ATTR_QUESTIONABLE_REGISTER_PTR,
&g_RSAVP_ATTR_QUESTIONABLE_REGISTER_CONDITION,
&g_RSAVP_ATTR_QUESTIONABLE_REGISTER_EVENT,
&g_RSAVP_ATTR_OPERATION_REGISTER_ENABLE,
&g_RSAVP_ATTR_OPERATION_REGISTER_NTR,
&g_RSAVP_ATTR_OPERATION_REGISTER_PTR,
&g_RSAVP_ATTR_OPERATION_REGISTER_CONDITION,
&g_RSAVP_ATTR_OPERATION_REGISTER_EVENT,
&g_RSAVP_ATTR_ID_QUERY_RESPONSE,
&g_RSAVP_ATTR_SYSTEM_ERROR,
&g_RSAVP_ATTR_DISPLAY_UPDATE,

VI_NULL
};
