/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2013-10-01 09:36:54Z
 *****************************************************************************/

#ifndef __RSAVP_ATTRIBUTES_HEADER
#define __RSAVP_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsavp_quotedString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsavp_quotedString_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsavp_rngAngleUnit;
extern RsRangeTable rsavp_rngCapacityUnit;
extern RsRangeTable rsavp_rngUnitCharge;
extern RsRangeTable rsavp_rngUnitConductance;
extern RsRangeTable rsavp_rngUnitCurrent;
extern RsRangeTable rsavp_rngUnitEnergy;
extern RsRangeTable rsavp_rngUnitFrequency;
extern RsRangeTable rsavp_rngUnitLength;
extern RsRangeTable rsavp_rngUnitPower;
extern RsRangeTable rsavp_rngUnitResistance;
extern RsRangeTable rsavp_rngUnitTemperature;
extern RsRangeTable rsavp_rngUnitTime;
extern RsRangeTable rsavp_rngUnitVoltage;
extern RsRangeTable rsavp_rngDisplayLanguage;
extern RsRangeTable rsavp_rngDisplayFrontSize;
extern RsRangeTable rsavp_rngDisplayColorSet;
extern RsRangeTable rsavp_rngReferenceOscillatorSource;
extern RsRangeTable rsavp_rngReferenceOscillatorInternalAdjustmentValue;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSAVP_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSAVP_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSAVP_RS_ATTR_CACHE;
extern RsAttrProperties g_RSAVP_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSAVP_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSAVP_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPY;
extern RsAttrProperties g_RSAVP_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSAVP_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVP_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVP_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVP_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSAVP_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSAVP_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSAVP_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSAVP_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVP_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSAVP_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSAVP_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSAVP_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSAVP_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSAVP_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSAVP_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSAVP_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSAVP_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSAVP_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSAVP_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSAVP_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSAVP_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSAVP_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSAVP_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSAVP_ATTR_FILE_CHANGE_DRIVE;
extern RsAttrProperties g_RSAVP_ATTR_FILE_CHANGE_DIRECTORY;
extern RsAttrProperties g_RSAVP_ATTR_DRIVES;
extern RsAttrProperties g_RSAVP_ATTR_FILE_CREATE_DIRECTORY;
extern RsAttrProperties g_RSAVP_ATTR_FILE_REMOVE_DIRECTORY;
extern RsAttrProperties g_RSAVP_ATTR_FILE_REMOVE;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_ANGLE;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_CAPACITY;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_CHARGE;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_CONDUCTANCE;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_CURRENT;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_ENERGY;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_FREQUENCY;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_LENGTH;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_POWER;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_RESISTANCE;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_TEMPERATURE;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_TIME;
extern RsAttrProperties g_RSAVP_ATTR_UNIT_VOLTAGE;
extern RsAttrProperties g_RSAVP_ATTR_DISPLAY_LANGUAGE;
extern RsAttrProperties g_RSAVP_ATTR_DISPLAY_FRONT_SIZE;
extern RsAttrProperties g_RSAVP_ATTR_DISPLAY_COLOR_SET;
extern RsAttrProperties g_RSAVP_ATTR_KEY_LOCK;
extern RsAttrProperties g_RSAVP_ATTR_MARKER_SOURCE;
extern RsAttrProperties g_RSAVP_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_RSAVP_ATTR_SYST_VERSION;
extern RsAttrProperties g_RSAVP_ATTR_SYSTEM_RESET_ALL;
extern RsAttrProperties g_RSAVP_ATTR_SYSTEM_RESET_BASE;
extern RsAttrProperties g_RSAVP_ATTR_SYSTEM_PRESET_ALL;
extern RsAttrProperties g_RSAVP_ATTR_SYSTEM_PRESET_BASE;
extern RsAttrProperties g_RSAVP_ATTR_REFERENCE_OSCILLATOR_OUTPUT;
extern RsAttrProperties g_RSAVP_ATTR_REFERENCE_OSCILLATOR_SOURCE;
extern RsAttrProperties g_RSAVP_ATTR_REFERENCE_OSCILLATOR_INTERNAL_ADJUSTMENT_STATE;
extern RsAttrProperties g_RSAVP_ATTR_REFERENCE_OSCILLATOR_INTERNAL_ADJUSTMENT_VALUE;
extern RsAttrProperties g_RSAVP_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY;
extern RsAttrProperties g_RSAVP_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_BANDWIDTH;
extern RsAttrProperties g_RSAVP_ATTR_LOCAL_OSCILLATOR_OUTPUT_STATE;
extern RsAttrProperties g_RSAVP_ATTR_LOCAL_OSCILLATOR_MODE;
extern RsAttrProperties g_RSAVP_ATTR_PRESET_STATUS_REGISTERS;
extern RsAttrProperties g_RSAVP_ATTR_QUESTIONABLE_REGISTER_ENABLE;
extern RsAttrProperties g_RSAVP_ATTR_QUESTIONABLE_REGISTER_NTR;
extern RsAttrProperties g_RSAVP_ATTR_QUESTIONABLE_REGISTER_PTR;
extern RsAttrProperties g_RSAVP_ATTR_QUESTIONABLE_REGISTER_CONDITION;
extern RsAttrProperties g_RSAVP_ATTR_QUESTIONABLE_REGISTER_EVENT;
extern RsAttrProperties g_RSAVP_ATTR_OPERATION_REGISTER_ENABLE;
extern RsAttrProperties g_RSAVP_ATTR_OPERATION_REGISTER_NTR;
extern RsAttrProperties g_RSAVP_ATTR_OPERATION_REGISTER_PTR;
extern RsAttrProperties g_RSAVP_ATTR_OPERATION_REGISTER_CONDITION;
extern RsAttrProperties g_RSAVP_ATTR_OPERATION_REGISTER_EVENT;
extern RsAttrProperties g_RSAVP_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSAVP_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSAVP_ATTR_DISPLAY_UPDATE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsavp_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsavp_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSAVP_ATTRIBUTES_HEADER */
